---
title: "Compte rendu Filtrage ECG"
author: John Doe
geometry: margin=1cm
output: pdf_document
mainfont: sans-serif
---

# Compte rendu du TP Carrefour

## Diagramme de la FSM

![Diagramme de la FSM](./img/FSM.png)

## Architecture de l'unité opérative

![Architecture de l'unité opérative](./img/OperativeUnit.png)

## Remarques

(Notez toute information qui vous semble pertinente)

Succession de 3 filtres : FIR -> IIR -> FIR

Pour notre filtre on calcule $x_k \rightarrow y_k \rightarrow z_k \rightarrow r_k$ avec $x_k$ l'entrée

$$y_k = \sum_{i=0}^{94}x_{k-i} \times h_i$$

$$z_k = \sum_{i=0}^2 y_{k-i}\times b_i - \sum_{i=1}^2 z_{k-i}\times a_i$$

$$r_k = \sum_{i=0}^{10} z_{k-i} \times g_i$$

## Code de chaque filtre

### Baseline

```
Fs=500
Fn=Fs/2
fBaseLine=fir1(128, 5/Fn, 'high');
```

### Coupe-bande basique

```
Fs=500
Fn=Fs/2
f50Hz=fir1(100, [45 55]/Fn, 'stop');
```

### Pei Tseng Notch

```
Fs=500
Fn=Fs/2
[b, a]=pei_tseng_notch(50/Fn, 10/Fn);
```

### Parks McClellan

```
Fs=500
Fn=Fs/2
Fpass=50;
Fstop=60;
F    =[0 Fpass Fstop Fn]/(Fn)
A    =[1 1 0 0]
fLP  =remez(10, F, A)
```